{% set PageTitle = "500 - Servers are down" %}
{% set BodyClass = "error" %}

{% extends "master.html" %}

{% block main %}
  <div id="errorImage"></div>
  <div id="errorMain"></div>
{% endblock %}

{% block scripts %}
  <script>
    window.addEventListener('load', function(){
    ReactDOM.render(React.createElement(Components.BodyCopy, {
      id :'id',
      copy:`<p style="text-align: center;"><img alt="" width="360" src="dist/images/err500-360x140.svg" /></p>`
    }), document.getElementById("errorImage"));

    ReactDOM.render(React.createElement(Components.HeaderCopy, {
      pageTitle:"500 Error",
      heading:"It’s not you, it’s me.",
      subheading:`<p>Sorry, something’s not quite right here.<br>Please come back later…</p><p>…and let’s make sure we don’t meet like this again</p>`
    }), document.getElementById("errorMain"));
  })
  </script>

{% endblock %}

{% block NavBreadcrumb %}{% endblock %}
{% block FloatingActionButton %}{% endblock %}
{% block AdvisorBar %}{% endblock %}

{% block NavPrimary %}
  <script>
    window.addEventListener('load', function(){
    ReactDOM.render(React.createElement(Components.PrimaryNav, {
      isMini:true,
      logo:'<img src="dist/images/lv-logo.png"></img>',
      logoLink:{href:"./homepage.html"},
    }), document.getElementById("primaryNav"));
  })
  </script>
{% endblock %}

{% block footer %}
  <script>
    window.addEventListener('load', function(){
    ReactDOM.render(React.createElement(Components.Footer, {
      isMini:true,
      copyright:`<p>&copy; 2017 Liverpool Victoria, County Gates, Bournemouth, BH1 2NF, UK</p>`,
      logo:'<img src="dist/images/lv-logo.png"></img>',
    }), document.getElementById("footer"));
  })
  </script>
{% endblock %}
